package com.fuyuanshen.modules.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 设备分配记录表
 *
 * @TableName device_assignments
 */
@TableName(value = "device_assignments")
@Data
public class DeviceAssignments {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 分配方
     */
    private Long fromCustomerId;

    /**
     * 接收方
     */
    private Long toCustomerId;

    /**
     * 分配者
     * assigner_name
     */
    private Long assignerId;
    private String assignerName;

    /**
     * 接收者
     * assignee_name
     */
    private Long assigneeId;
    private String assigneeName;

    /**
     * 分配时间
     */
    private LocalDateTime assignedAt;

    /**
     * 0 未授权
     * 1 已授权
     * 是否同步授权了设备类型
     */
    private Integer deviceTypeGranted;

    /**
     * 0 否
     * 1 是
     * 是否直接分配（用于父级显示）
     */
    private Integer direct;

    /**
     * 0 否
     * 1 是
     * 设备是否有效
     */
    private Integer active;

    /**
     * 分配等级(用于失效)
     */
    private String lever;

}