package com.fuyuanshen.modules.system.domain.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: 默苍璃
 * @date: 2025-06-1213:49
 */
@Data
public class APPUserQuery implements Serializable {

    @ApiModelProperty(value = "ID", hidden = true)
    private Long id;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "账号")
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "手机号（APP登录）")
    private String phoneNumber;

    @ApiModelProperty(value = "邮箱")
    private String email;
    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "城市")
    private String city;
    @ApiModelProperty(value = "修改密码时间")
    private LocalDateTime pwdResetTime;
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "租户id")
    private Integer tenantId;


    /**
     * 用户类型
     * 0 app
     * 1 小程序
     */
    @ApiModelProperty(value = "用户类型", hidden = true)
    private Integer userType;


}
