package com.fuyuanshen.modules.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fuyuanshen.modules.system.domain.DeviceLog;
import com.fuyuanshen.modules.system.domain.dto.DeviceLogQueryCriteria;
import com.fuyuanshen.utils.PageResult;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/24
 **/
public interface DeviceLogService extends IService<DeviceLog> {

    /**
     * 查询数据分页
     * @param criteria 条件
     * @param page 分页参数
     * @return PageResult
     */
    PageResult<DeviceLog> queryAll(DeviceLogQueryCriteria criteria, Page<Object> page);

    /**
     * 查询所有数据不分页
     * @param criteria 条件参数
     * @return List<DeviceLogDto>
     */
    List<DeviceLog> queryAll(DeviceLogQueryCriteria criteria);

    /**
     * 创建
     * @param resources /
     */
    void create(DeviceLog resources);

    /**
     * 编辑
     * @param resources /
     */
    void update(DeviceLog resources);

    /**
     * 多选删除
     * @param ids /
     */
    void deleteAll(List<Long> ids);

    /**
     * 导出数据
     * @param all 待导出的数据
     * @param response /
     * @throws IOException /
     */
    void download(List<DeviceLog> all, HttpServletResponse response) throws IOException;

}
