package com.fuyuanshen.modules.utils;

import java.util.Random;

/**
 * @author: 默苍璃
 * @date: 2025-06-1416:30
 */
public class NanoId {
    private static final int DEFAULT_LENGTH = 6; // 默认生成 6 位纯数字 ID
    private static final String DIGITS = "0123456789"; // 纯数字字符集

    /**
     * 生成指定长度的纯数字 ID
     *
     * @param length ID 长度
     * @return 生成的 ID
     */
    public static Long generate(int length) {
        StringBuilder sb = new StringBuilder(length);
        Random random = new Random();
        for (int i = 0; i < length; i++) {
            int index = random.nextInt(DIGITS.length());
            sb.append(DIGITS.charAt(index));
        }
        return Long.valueOf(sb.toString());
    }

    /**
     * 使用默认长度生成纯数字 ID
     *
     * @return 生成的 ID
     */
    public static Long generate() {
        return generate(DEFAULT_LENGTH);
    }
}